## ros-indigo-swri-image-util 2.8.0

=== debian/changelog ===
ros-indigo-swri-image-util (2.8.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-image-util (2.7.3-0trusty) trusty; urgency=high

  * Fixes for image normalization. (#536 <https://github.com/swri-robotics/marti_common/issues/536>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-image-util (2.7.2-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-image-util (2.7.1-0trusty) trusty; urgency=high

  * Fix masked image normalization. (#531 <https://github.com/swri-robotics/marti_common/issues/531>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-image-util (2.7.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-image-util (2.6.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-image-util (2.5.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-image-util (2.4.0-0trusty) trusty; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-image-util (2.3.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-image-util (2.2.1-0trusty) trusty; urgency=high

  * Initialize image before drawing on it. (#512 <https://github.com/swri-robotics/marti_common/issues/512>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-image-util (2.2.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-image-util (2.1.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-image-util (2.0.0-0trusty) trusty; urgency=high

  * Add nodelet for drawing a polygon on an image. (#500 <https://github.com/swri-robotics/marti_common/issues/500>)
  * update to use non deprecated pluginlib macro (#493 <https://github.com/swri-robotics/marti_common/issues/493>)
  * Implement simple image file publisher. (#488 <https://github.com/swri-robotics/marti_common/issues/488>)
  * Contributors: Marc Alban, Mikael Arguedas

 -- Kris Kozak <kkozak@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-image-util (1.2.0-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-image-util (1.1.0-0trusty) trusty; urgency=high

  * Improving user feedback when checking parameter validity. Breaking apart parameter checks so it is clearer what the error is. Also making sure the user passes in non-negative values for RGB and gray values
  * Add a crosshairs nodelet to swri_image_util (#461 <https://github.com/pjreed/marti_common/issues/461>)
  * Cloning OpenCV matrices to make sure values are not overwritten
  * Fixing conditions which would trigger a warning on node startup
  * Fixing problems caused by OpenCV matrices making shallow copies
  * Adding compiler flag to correctly include file when using OpenCV 2.x
  * Adding ability to recolor image using an OpenCV colormap
  * Improving robustness of parameter parsing
  * Improving error checking
  * Adding color replacer to nodelet list
  * Contributors: David Anthony, Edward Venator, Jerry Towler, Marc Alban, P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-image-util (1.0.0-0trusty) trusty; urgency=high

  * Create warp_image Nodelet (#446 <https://github.com/evenator/marti_common/issues/446>)
    Add a nodelet to swri_image util that applies a 3x3 transformation matrix to an image using cv::warpPerspective and publishes the resulting image.
  * Contributors: Edward Venator

 -- Kris Kozak <kkozak@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-image-util (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Enable blending with transparency mask (#439 <https://github.com/pjreed/marti_common/issues/439>)
  * Contributors: Jerry Towler, P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-image-util (0.2.4-0trusty) trusty; urgency=high

  * Image blending kinetic (#429 <https://github.com/swri-robotics/marti_common/issues/429>)
  * Initial commit of image blending
  * Adding launch file and various bug fixes
  * Making the base and top image encoding match. Lets us do things like blend a grayscale image onto a color image
  * Removing file globbing from CMakeLists that made QtCreator happy
  * Adding message_filters as a ROS package dependency
  * Fix issue with contrast stretching when a grid cell is completely masked out.
  * Contributors: Marc Alban, danthony06

 -- Kris Kozak <kkozak@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-image-util (0.2.3-0trusty) trusty; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-image-util (0.2.2-0trusty) trusty; urgency=high

  * Fix issue with contrast stretching when a grid cell is completely masked out.
  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt, Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-image-util (0.2.1-0trusty) trusty; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000


